For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet payment intents
      • GETGet a payment intent by ID
      • PATCHUpdate a payment intent's amount
      • GETGet a payment intent's history
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment intents

Get a payment intent by ID

GET
/payment_intents/:payment_intent_id
GET
/v1/payment_intents/:payment_intent_id
$curl https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "updated_at": "2024-01-15T09:30:00Z",
4 "amount": 125000,
5 "currency": "EUR",
6 "payment_methods": [
7 "sepa_credit",
8 "card"
9 ],
10 "recipient": {
11 "id": "id",
12 "type": "entity",
13 "bank_accounts": [
14 {
15 "id": "id",
16 "account_holder_name": "Bob Jones",
17 "account_number": "12345678",
18 "bic": "DEUTDEFFXXX",
19 "country": "AF",
20 "currency": "AED",
21 "display_name": "Primary account",
22 "iban": "DE74500700100100000900",
23 "is_default": true,
24 "name": "Primary account",
25 "routing_number": "routing_number",
26 "sort_code": "123456",
27 "was_created_by_user_id": "was_created_by_user_id"
28 }
29 ],
30 "name": "name"
31 },
32 "status": "status",
33 "application_fee_amount": 1,
34 "batch_payment_id": "batch_payment_id",
35 "invoice": {
36 "due_date": "due_date",
37 "file": {
38 "mimetype": "application/pdf",
39 "name": "INV-00042.pdf",
40 "url": "https://example.com/path/to/invoice.pdf"
41 },
42 "issue_date": "issue_date"
43 },
44 "object": {
45 "id": "id",
46 "type": "payable"
47 },
48 "payer": {
49 "id": "id",
50 "type": "entity",
51 "bank_accounts": [
52 {
53 "id": "id",
54 "account_holder_name": "Bob Jones",
55 "account_number": "12345678",
56 "bic": "DEUTDEFFXXX",
57 "country": "AF",
58 "currency": "AED",
59 "display_name": "Primary account",
60 "iban": "DE74500700100100000900",
61 "is_default": true,
62 "name": "Primary account",
63 "routing_number": "routing_number",
64 "sort_code": "123456",
65 "was_created_by_user_id": "was_created_by_user_id"
66 }
67 ],
68 "name": "name"
69 },
70 "payment_link_id": "payment_link_id",
71 "payment_reference": "PRJ/2025/0045",
72 "provider": "provider",
73 "selected_payment_method": "sepa_credit"
74}
Returns the details of a [payment intent](https://docs.monite.com/payments/payment-intents) with the specified ID. Monite creates payment intents automatically for each [payment link](https://docs.monite.com/payments/payment-links). Payment intents let you track the status of payments made via payment links.
Was this page helpful?
Previous

Update a payment intent's amount

Next
Built with

Returns the details of a payment intent with the specified ID.

Monite creates payment intents automatically for each payment link. Payment intents let you track the status of payments made via payment links.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_intent_idstringRequired
ID of an existing payment intent that you want to retrieve.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID of this payment intent.
updated_atdatetime
UTC date and time when this payment intent was last updated.
amountinteger

The payment amount in minor units.

currencystring

The payment currency, as a three-letter ISO currency code.

payment_methodslist of enums
recipientobject

The payment recipient - either the current entity (in case of accounts receivable invoice payments) or a counterpart (in case of accounts payable bill payments).

statusstring

The status of the payment intent.

application_fee_amountinteger
batch_payment_idstringformat: "uuid"
Reserved for internal use.
invoiceobject
objectobject

If the payment link was created for a payable or receivable invoice stored in Monite (rather than an external invoice or a one-off payment), this object contains the ID of that payable or receivable.

payerobject
payment_link_idstringformat: "uuid"

ID of the payment link associated with this payment intent. The payment link object contains the URL of the payment page.

payment_referencestring

The payment reference. If not provided explicitly by the client, Monite uses the invoice number (document_id) as the payment reference.

Note: Monite normalizes payment references for certain types of payments when passing information to the payment processing provider.

providerstring
Reserved for internal use.
selected_payment_methodenum

The payment method selected by the payer on the payment page, or null if the payment has not been initiated.

Errors

400
Get Payment Intents ID Request Bad Request Error
401
Get Payment Intents ID Request Unauthorized Error
404
Get Payment Intents ID Request Not Found Error
422
Get Payment Intents ID Request Unprocessable Entity Error
429
Get Payment Intents ID Request Too Many Requests Error